#!/usr/bin/env python3

from setuptools import setup
from bkmk_objects import __version__

setup(
    name='bookmarks_db',
    version=__version__,
    description='Bookmarks database and Internet robot',
    long_description=open('README', 'r').read(),
    long_description_content_type="text/plain",
    author='Oleg Broytman',
    author_email='phd@phdru.name',
    url='https://phdru.name/Software/Python/',
    license='GPL',
    keywords=['web', 'browser', 'bookmarks', 'robot'],
    platforms='Any',
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: Console',
        'Intended Audience :: End Users/Desktop',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3 :: Only',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
        'Programming Language :: Python :: 3.12',
    ],
    python_requires='>=3.7',
    install_requires=[
        'm_lib.full>=1.0',
    ],
    extras_require={
        'html': ['beautifulsoup4', 'lxml'],
        'requests': ['requests[socks]'],
        'curl': ['pycurl', 'certifi'],
        'aiohttp': ['aiohttp>=3', 'aiohttp-socks', 'aioftp[socks]'],
    },
)
